Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class SystemLicenseFacade

    java.lang.Object
      com.pmease.quickbuild.model.SystemLicenseFacade

All Implemented Interfaces:
  java.io.Serializable

public class SystemLicenseFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for SystemLicense.

See Also:
  Serialized Form

Constructor Summary
`SystemLicenseFacade()`

Method Summary
`java.util.Date` | `getLastCheckDate()`
`java.lang.String` | `getLicense()`
`java.util.Set` | `getUsedLicenseGuids()`
`long` | `getUsedMilliseconds()`
`void` | `setLastCheckDate(java.util.Date lastCheckDate)`
`void` | `setLicense(java.lang.String license)`
`void` | `setUsedLicenseGuids(java.util.Set usedLicenseGuids)`
`void` | `setUsedMilliseconds(long usedMilliseconds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemLicenseFacade

    public SystemLicenseFacade()

Method Detail

### getLicense

    public java.lang.String getLicense()

### setLicense

    public void setLicense(java.lang.String license)

### getUsedMilliseconds

    public long getUsedMilliseconds()

### setUsedMilliseconds

    public void setUsedMilliseconds(long usedMilliseconds)

### getLastCheckDate

    public java.util.Date getLastCheckDate()

### setLastCheckDate

    public void setLastCheckDate(java.util.Date lastCheckDate)

### getUsedLicenseGuids

    public java.util.Set getUsedLicenseGuids()

### setUsedLicenseGuids

    public void setUsedLicenseGuids(java.util.Set usedLicenseGuids)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.